<script context="module">
  // @ts-ignore
  import { getAllArticlesOfAllCategories } from "$requesters/requesters";
import { each } from "svelte/internal";

  export async function load({ fetch }) {
    const response = await getAllArticlesOfAllCategories({fetchWith: fetch})
    console.log(response);
    return {
      status: response.status,
      props: {
        articles: response.body
      }
    };
  }
</script>

<script>
  // @ts-ignore
  import ArticleCard from "$components/blog/ArticleCard.svelte";

  export let articles = [];
</script>

{#each articles as article}
  <ArticleCard {article} />
{/each}

